Bug 209564 - GNOME HIG Fixes for pup.glade
GNOME HIG Fixes for pup.glade
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
Blocks: FC6Update
  Show dependency treegraph
Reported: 2006-10-05 21:14 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-09 15:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed new pup.glade (27.61 KB, text/plain)
2006-10-05 21:14 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2006-10-05 21:14:33 EDT
Description of problem:
The pup application does not follow the GNOME HIG specifications
(http://developer.gnome.org/projects/gup/hig/2.0/) for label capitalization,
widget layout, and button layout.  

Also, the "updates available" list box does not fill the entire dialog by
default, and the list box does not resize if the dialog is resized and the
"update details" expander is expanded.

Version-Release number of selected component (if applicable):


Window Layout:

I am attaching an updated pup.glade file to fix these UI problems.
Comment 1 Need Real Name 2006-10-05 21:14:33 EDT
Created attachment 137890 [details]
Proposed new pup.glade
Comment 2 Jeremy Katz 2006-10-05 23:21:13 EDT
Thanks for the patch -- given where we are in the cycle, I can't apply this at
the moment, but I'll take a look and hopefully get it in for a pretty quick
post-fC6 update
Comment 3 Need Real Name 2007-01-12 02:07:37 EST
Any chance of getting this in now that FC7 is in development?
Comment 4 Matthew Miller 2007-04-06 12:11:59 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Need Real Name 2007-04-06 15:45:20 EDT
Sorry that I can no longer provide feedback.  I have switched from Fedora to
Comment 6 Matthew Miller 2007-04-06 15:46:41 EDT
Still a good suggestion. Moving to devel. Thanks for your help.
Comment 7 Jeremy Katz 2007-04-09 15:57:55 EDT
Basically committed (hand-diffed and applied) to CVS.

Note You need to log in before you can comment on or make changes to this bug.